curl --request PUT \
--url https://api.avidoai.com/v1/quickstarts/assignments/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"assignments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"assignedTo": "user_789012",
"stage": "KB_REVIEW"
}
]
}
'{
"count": 5
}Updates multiple assignments in a single request.
curl --request PUT \
--url https://api.avidoai.com/v1/quickstarts/assignments/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"assignments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"assignedTo": "user_789012",
"stage": "KB_REVIEW"
}
]
}
'{
"count": 5
}Your unique Avido API key
Your unique Avido Application ID
Request body for bulk updating assignments
Array of assignments to update
1 - 1000 elementsShow child attributes
Successfully updated assignments
Response for bulk assignment operations
Number of assignments affected
0 <= x <= 90071992547409915